Index: /trunk/LMDZ.TITAN/libf/phytitan/aeropacity.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/aeropacity.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/aeropacity.F90	(revision 1647)
@@ -1,12 +1,10 @@
       Subroutine aeropacity(ngrid,nlayer,nq,pplay,pplev,pq, &
-         aerosol,reffrad,QREFvis3d,QREFir3d,tau_col,cloudfrac,totcloudfrac,clearsky)
+         aerosol,reffrad,QREFvis3d,QREFir3d,tau_col)
 
        use radinc_h, only : L_TAUMAX,naerkind
        use aerosol_mod
-       USE tracer_h, only: noms,rho_co2,rho_ice
+       USE tracer_h, only: noms
        use comcstfi_mod, only: g
-       use callkeys_mod, only: aerofixco2,aerofixh2o,kastprof,cloudlvl,	&
-		CLFvarying,CLFfixval,dusttau,			 	&
-		pres_bottom_tropo,pres_top_tropo,obs_tau_col_tropo,	&
+       use callkeys_mod, only: pres_bottom_tropo,pres_top_tropo,obs_tau_col_tropo,  &
 		pres_bottom_strato,pres_top_strato,obs_tau_col_strato
                   
@@ -55,8 +53,4 @@
       REAL,INTENT(IN) :: QREFir3d(ngrid,nlayer,naerkind)
       REAL,INTENT(OUT):: tau_col(ngrid) !column integrated visible optical depth
-      ! BENJAMIN MODIFS
-      real,intent(in) :: cloudfrac(ngrid,nlayer) ! cloud fraction
-      real,intent(out) :: totcloudfrac(ngrid) ! total cloud fraction
-      logical,intent(in) :: clearsky
 
       real aerosol0
@@ -69,15 +63,6 @@
       EXTERNAL CBRT
 
-      INTEGER,SAVE :: i_co2ice=0      ! co2 ice
-      INTEGER,SAVE :: i_h2oice=0      ! water ice
-!$OMP THREADPRIVATE(i_co2ice,i_h2oice)
-      CHARACTER(LEN=20) :: tracername ! to temporarily store text
-
       ! for fixed dust profiles
-      real topdust, expfactor, zp
-      REAL taudusttmp(ngrid) ! Temporary dust opacity used before scaling
-      REAL tauh2so4tmp(ngrid) ! Temporary h2so4 opacity used before scaling
-
-      real CLFtot
+      real expfactor, zp
 
       ! identify tracers
@@ -85,16 +70,4 @@
 
         write(*,*) "Tracers found in aeropacity:"
-        do iq=1,nq
-          tracername=noms(iq)
-          if (tracername.eq."co2_ice") then
-            i_co2ice=iq
-          write(*,*) "i_co2ice=",i_co2ice
-
-          endif
-          if (tracername.eq."h2o_ice") then
-            i_h2oice=iq
-            write(*,*) "i_h2oice=",i_h2oice
-          endif
-        enddo
 
         if (noaero) then
@@ -107,16 +80,4 @@
         endif
 
-        if ((iaero_co2.ne.0).and.(.not.noaero)) then
-          print*, 'iaero_co2=  ',iaero_co2
-        endif
-        if (iaero_h2o.ne.0) then
-          print*,'iaero_h2o=  ',iaero_h2o    
-        endif
-        if (iaero_dust.ne.0) then
-          print*,'iaero_dust= ',iaero_dust
-        endif
-        if (iaero_h2so4.ne.0) then
-          print*,'iaero_h2so4= ',iaero_h2so4
-        endif
         if (iaero_back2lay.ne.0) then
           print*,'iaero_back2lay= ',iaero_back2lay
@@ -127,235 +88,6 @@
 
 
-!     ---------------------------------------------------------
-!==================================================================
-!    CO2 ice aerosols
-!==================================================================
+!     ---------------------------------------------------------   
 
-      if (iaero_co2.ne.0) then
-           iaer=iaero_co2
-!       1. Initialization
-            aerosol(1:ngrid,1:nlayer,iaer)=0.0
-!       2. Opacity calculation
-            if (noaero) then ! aerosol set to zero
-             aerosol(1:ngrid,1:nlayer,iaer)=0.0
-            elseif (aerofixco2.or.(i_co2ice.eq.0)) then !  CO2 ice cloud prescribed
-               aerosol(1:ngrid,1:nlayer,iaer)=1.e-9
-               !aerosol(1:ngrid,12,iaer)=4.0 ! single cloud layer option
-            else
-               DO ig=1, ngrid
-                  DO l=1,nlayer-1 ! to stop the rad tran bug
-
-                     aerosol0 =                         &
-                          (  0.75 * QREFvis3d(ig,l,iaer) /        &
-                          ( rho_co2 * reffrad(ig,l,iaer) )  ) *   &
-                          ( pq(ig,l,i_co2ice) + 1.E-9 ) *         &
-                          ( pplev(ig,l) - pplev(ig,l+1) ) / g
-                     aerosol0           = max(aerosol0,1.e-9)
-                     aerosol0           = min(aerosol0,L_TAUMAX)
-                     aerosol(ig,l,iaer) = aerosol0
-!                     aerosol(ig,l,iaer) = 0.0
-!                     print*, aerosol(ig,l,iaer)
-!        using cloud fraction
-!                     aerosol(ig,l,iaer) = -log(1 - CLF + CLF*exp(-aerosol0/CLF))
-!                     aerosol(ig,l,iaer) = min(aerosol(ig,l,iaer),L_TAUMAX)
-
-
-                  ENDDO
-               ENDDO
-            end if ! if fixed or varying
-      end if ! if CO2 aerosols   
-!==================================================================
-!     Water ice / liquid 
-!==================================================================
-
-      if (iaero_h2o.ne.0) then 
-           iaer=iaero_h2o
-!       1. Initialization
-            aerosol(1:ngrid,1:nlayer,iaer)=0.0
-!       2. Opacity calculation
-            if (aerofixh2o.or.(i_h2oice.eq.0).or.clearsky) then
-               aerosol(1:ngrid,1:nlayer,iaer) =1.e-9
-
-               ! put cloud at cloudlvl
-               if(kastprof.and.(cloudlvl.ne.0.0))then
-                  ig=1
-                  do l=1,nlayer
-                     if(int(cloudlvl).eq.l)then
-                     !if(cloudlvl.gt.(pplay(ig,l)/pplev(ig,1)))then
-                        print*,'Inserting cloud at level ',l
-                        !aerosol(ig,l,iaer)=10.0
-
-                        rho_ice=920.0
-
-                        ! the Kasting approximation
-                        aerosol(ig,l,iaer) =                      &
-                          (  0.75 * QREFvis3d(ig,l,iaer) /        &
-                          ( rho_ice * reffrad(ig,l,iaer) )  ) *   &
-                          !( pq(ig,l,i_h2oice) + 1.E-9 ) *         &
-                          ( 4.0e-4 + 1.E-9 ) *         &
-                          ( pplev(ig,l) - pplev(ig,l+1) ) / g
-
-
-                        open(115,file='clouds.out',form='formatted')
-                        write(115,*) l,aerosol(ig,l,iaer)
-                        close(115)
-
-                        return
-                     endif
-                  end do
-
-                  call abort
-               endif
-
-            else
-
-               do ig=1, ngrid
-                  do l=1,nlayer-1 ! to stop the rad tran bug
-
-                     aerosol(ig,l,iaer) =                                    & !modification by BC
-                          (  0.75 * QREFvis3d(ig,l,iaer) /        &
-                          ( rho_ice * reffrad(ig,l,iaer) )  ) *   &
-                          !  pq(ig,l,i_h2oice) *                   & !JL I dropped the +1e-9 here to have the same
-                          !( pplev(ig,l) - pplev(ig,l+1) ) / g       !   opacity in the clearsky=true and the 
-                                                                     !   clear=false/pq=0 case
-                          ( pq(ig,l,i_h2oice) + 1.E-9 ) *         & ! Doing this makes the code unstable, so I have restored it (RW)
-                          ( pplev(ig,l) - pplev(ig,l+1) ) / g 
-
-                  enddo
-               enddo
-
-               if(CLFvarying)then
-                  call totalcloudfrac(ngrid,nlayer,nq,cloudfrac,totcloudfrac,pplev,pq,aerosol(1,1,iaer))
-                  do ig=1, ngrid
-                     do l=1,nlayer-1 ! to stop the rad tran bug
-                        CLFtot  = max(totcloudfrac(ig),0.01)
-                        aerosol(ig,l,iaer)=aerosol(ig,l,iaer)/CLFtot
-                        aerosol(ig,l,iaer) = max(aerosol(ig,l,iaer),1.e-9)
-                     enddo
-                  enddo
-               else
-                  do ig=1, ngrid
-                     do l=1,nlayer-1 ! to stop the rad tran bug
-                        CLFtot  = CLFfixval
-                        aerosol(ig,l,iaer)=aerosol(ig,l,iaer)/CLFtot
-                        aerosol(ig,l,iaer) = max(aerosol(ig,l,iaer),1.e-9)
-                     enddo
-                  enddo
-              end if!(CLFvarying)
-            endif !(aerofixed.or.(i_h2oice.eq.0).or.clearsky)
-	      
-      end if ! End if h2o aerosol
-
-!==================================================================
-!             Dust 
-!==================================================================
-      if (iaero_dust.ne.0) then
-          iaer=iaero_dust
-!         1. Initialization 
-          aerosol(1:ngrid,1:nlayer,iaer)=0.0
-          
-          topdust=30.0 ! km  (used to be 10.0 km) LK
-
-!       2. Opacity calculation
-
-!           expfactor=0.
-           DO l=1,nlayer-1
-             DO ig=1,ngrid
-!             Typical mixing ratio profile
-
-                 zp=(pplev(ig,1)/pplay(ig,l))**(70./topdust)
-                 expfactor=max(exp(0.007*(1.-max(zp,1.))),1.e-3)
-
-!             Vertical scaling function
-              aerosol(ig,l,iaer)= (pplev(ig,l)-pplev(ig,l+1)) &
-               *expfactor
-
-
-             ENDDO
-           ENDDO
-
-!          Rescaling each layer to reproduce the choosen (or assimilated)
-!          dust extinction opacity at visible reference wavelength, which
-!          is scaled to the surface pressure pplev(ig,1)
-
-            taudusttmp(1:ngrid)=0.
-              DO l=1,nlayer
-                DO ig=1,ngrid
-                   taudusttmp(ig) = taudusttmp(ig) &
-                          +  aerosol(ig,l,iaer)
-                ENDDO
-              ENDDO
-            DO l=1,nlayer-1
-               DO ig=1,ngrid
-                  aerosol(ig,l,iaer) = max(1E-20, &
-                          dusttau &
-                       *  pplev(ig,1) / pplev(ig,1) &
-                       *  aerosol(ig,l,iaer) &
-                       /  taudusttmp(ig))
-
-              ENDDO
-            ENDDO
-      end if ! If dust aerosol   
-
-!==================================================================
-!           H2SO4 
-!==================================================================
-! added by LK
-      if (iaero_h2so4.ne.0) then
-         iaer=iaero_h2so4
-
-!       1. Initialization
-         aerosol(1:ngrid,1:nlayer,iaer)=0.0
-
-
-!       2. Opacity calculation
-
-!           expfactor=0.
-         DO l=1,nlayer-1
-            DO ig=1,ngrid
-!              Typical mixing ratio profile
-
-               zp=(pplev(ig,1)/pplay(ig,l))**(70./30) !emulating topdust
-               expfactor=max(exp(0.007*(1.-max(zp,1.))),1.e-3)
-
-!             Vertical scaling function
-               aerosol(ig,l,iaer)= (pplev(ig,l)-pplev(ig,l+1))*expfactor
-
-            ENDDO
-         ENDDO
-         tauh2so4tmp(1:ngrid)=0.
-         DO l=1,nlayer
-            DO ig=1,ngrid
-               tauh2so4tmp(ig) = tauh2so4tmp(ig) + aerosol(ig,l,iaer)
-            ENDDO
-         ENDDO
-         DO l=1,nlayer-1
-            DO ig=1,ngrid
-               aerosol(ig,l,iaer) = max(1E-20, &
-                          1 &
-                       *  pplev(ig,1) / pplev(ig,1) &
-                       *  aerosol(ig,l,iaer) &
-                       /  tauh2so4tmp(ig))
-
-            ENDDO
-         ENDDO
-
-! 1/700. is assuming a "sulfurtau" of 1
-! Sulfur aerosol routine to be improved.
-!                     aerosol0 =                         &
-!                          (  0.75 * QREFvis3d(ig,l,iaer) /        &
-!                          ( rho_h2so4 * reffrad(ig,l,iaer) )  ) *   &
-!                          ( pq(ig,l,i_h2so4) + 1.E-9 ) *         &
-!                          ( pplev(ig,l) - pplev(ig,l+1) ) / g
-!                     aerosol0           = max(aerosol0,1.e-9)
-!                     aerosol0           = min(aerosol0,L_TAUMAX)
-!                     aerosol(ig,l,iaer) = aerosol0
-
-!                  ENDDO
-!               ENDDO
-      end if
- 
-           
-!     ---------------------------------------------------------
 !==================================================================
 !    Two-layer aerosols (unknown composition)
Index: /trunk/LMDZ.TITAN/libf/phytitan/aerosol_mod.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/aerosol_mod.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/aerosol_mod.F90	(revision 1647)
@@ -8,13 +8,9 @@
 !                 corresponding aerosol was not activated in callphys.def
 !                 -- otherwise a value is given in iniaerosol
-      integer :: iaero_co2 = 0 
-      integer :: iaero_h2o = 0
-      integer :: iaero_dust = 0
-      integer :: iaero_h2so4 = 0
       logical :: noaero = .false.
 
 ! two-layer simple aerosol model
       integer :: iaero_back2lay = 0
-!$OMP THREADPRIVATE(iaero_co2,iaero_h2o,iaero_dust,iaero_h2so4,noaero,iaero_back2lay)
+!$OMP THREADPRIVATE(noaero,iaero_back2lay)
       
 !==================================================================
Index: /trunk/LMDZ.TITAN/libf/phytitan/calc_cpp_mugaz.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/calc_cpp_mugaz.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/calc_cpp_mugaz.F90	(revision 1647)
@@ -38,22 +38,10 @@
          else
             ! all values at 300 K from Engineering Toolbox
-            if(igas.eq.igas_CO2)then
-               mugaz_c = mugaz_c + 44.01*gfrac(igas)
-            elseif(igas.eq.igas_N2)then
+            if(igas.eq.igas_N2)then
                mugaz_c = mugaz_c + 28.01*gfrac(igas)
             elseif(igas.eq.igas_H2)then
                mugaz_c = mugaz_c + 2.01*gfrac(igas)
-            elseif(igas.eq.igas_He)then
-               mugaz_c = mugaz_c + 4.003*gfrac(igas)
-            elseif(igas.eq.igas_H2O)then
-               mugaz_c = mugaz_c + 18.02*gfrac(igas)
-            elseif(igas.eq.igas_SO2)then
-               mugaz_c = mugaz_c + 64.066*gfrac(igas)
-            elseif(igas.eq.igas_H2S)then
-               mugaz_c = mugaz_c + 34.08*gfrac(igas)
             elseif(igas.eq.igas_CH4)then
                mugaz_c = mugaz_c + 16.04*gfrac(igas)
-            elseif(igas.eq.igas_NH3)then
-               mugaz_c = mugaz_c + 17.03*gfrac(igas)
             elseif(igas.eq.igas_C2H6)then 
                ! C2H6 http://encyclopedia.airliquide.com/Encyclopedia.asp?GasID=28
@@ -77,25 +65,10 @@
          else
             ! all values at 300 K from Engineering Toolbox
-            if(igas.eq.igas_CO2)then
-               !cpp_c   = cpp_c   + 0.744*gfrac(igas) ! @ ~210 K (better for
-               !Mars conditions) 
-               cpp_c   = cpp_c   + 0.846*gfrac(igas)*44.01/mugaz_c
-            elseif(igas.eq.igas_N2)then
+            if(igas.eq.igas_N2)then
                cpp_c   = cpp_c   + 1.040*gfrac(igas)*28.01/mugaz_c
             elseif(igas.eq.igas_H2)then
                cpp_c   = cpp_c   + 14.31*gfrac(igas)*2.01/mugaz_c
-            elseif(igas.eq.igas_He)then
-               cpp_c   = cpp_c   + 5.19*gfrac(igas)*4.003/mugaz_c
-            elseif(igas.eq.igas_H2O)then
-               cpp_c   = cpp_c   + 1.864*gfrac(igas)*18.02/mugaz_c
-            elseif(igas.eq.igas_SO2)then
-               cpp_c   = cpp_c   + 0.64*gfrac(igas)*64.066/mugaz_c
-            elseif(igas.eq.igas_H2S)then
-               cpp_c   = cpp_c   + 1.003*gfrac(igas)*34.08/mugaz_c ! from wikipedia...
             elseif(igas.eq.igas_CH4)then
                cpp_c   = cpp_c   + 2.226*gfrac(igas)*16.04/mugaz_c
-            elseif(igas.eq.igas_NH3)then
-               cpp_c   = cpp_c   + 2.175*gfrac(igas)*17.03/mugaz_c
-               print*,'WARNING, cpp for NH3 may be for liquid'
             elseif(igas.eq.igas_C2H6)then
                ! C2H6
Index: /trunk/LMDZ.TITAN/libf/phytitan/calc_rayleigh.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/calc_rayleigh.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/calc_rayleigh.F90	(revision 1647)
@@ -62,11 +62,6 @@
             tauconsti(igas) = 0.0
          else
-            if(igas.eq.igas_CO2) then
-               tauconsti(igas) = (8.7/g)*1.527*scalep/P0
-            elseif(igas.eq.igas_N2)then
+            if(igas.eq.igas_N2)then
                tauconsti(igas) = (9.81/g)*8.569E-3*scalep/(P0/93.0)
-            elseif(igas.eq.igas_H2O)then
-!               tauconsti(igas) = (10.0/g)*9.22E-3*scalep/101325.0 
-               tauconsti(igas) = 1.98017E-10/(g*mugaz*100.) 
             elseif(igas.eq.igas_H2)then
                tauconsti(igas) = (10.0/g)*0.0241*scalep/101325.0
@@ -74,6 +69,4 @@
                ! uses n=1.000132 from Optics, Fourth Edition.
                ! was out by a factor 2!
-            elseif(igas.eq.igas_He)then
-               tauconsti(igas) = (10.0/g)*0.00086*scalep/101325.0
             else
                print*,'Error in calc_rayleigh: Gas species not recognised!'
@@ -114,14 +107,7 @@
                   tauvari(igas)   = 0.0
                else
-                  if(igas.eq.igas_CO2)then
-                     tauvari(igas) = (1.0+0.013/wl**2)/wl**4
-                  elseif(igas.eq.igas_N2)then
+                  if(igas.eq.igas_N2)then
                      tauvari(igas) = (1.0+0.0113/wl**2+0.00013/wl**4)/wl**4
-                  elseif(igas.eq.igas_H2O)then
-!                     tauvari(igas) = 1.0/wl**4 ! to be improved...
-                     tauvari(igas) = (5.7918E6/(2.38E2-1/wl**2)+1.679E5/(57.36E0-1/wl**2))**2/wl**4 
                   elseif(igas.eq.igas_H2)then
-                     tauvari(igas) = 1.0/wl**4 
-                  elseif(igas.eq.igas_He)then
                      tauvari(igas) = 1.0/wl**4 
                   else
Index: /trunk/LMDZ.TITAN/libf/phytitan/callcorrk.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/callcorrk.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/callcorrk.F90	(revision 1647)
@@ -6,19 +6,17 @@
           fluxabs_sw,fluxtop_dn,                               &
           OLR_nu,OSR_nu,                                       &
-          tau_col,cloudfrac,totcloudfrac,                      &
-          clearsky,firstcall,lastcall)
+          tau_col,firstcall,lastcall)
 
       use radinc_h
       use radcommon_h
-      use watercommon_h
       use datafile_mod, only: datadir
       use ioipsl_getin_p_mod, only: getin_p
       use gases_h
-      use radii_mod, only : su_aer_radii,co2_reffrad,h2o_reffrad,dust_reffrad,h2so4_reffrad,back2lay_reffrad
-      use aerosol_mod, only : iaero_co2,iaero_h2o,iaero_dust,iaero_h2so4, iaero_back2lay
+      use radii_mod, only : su_aer_radii,back2lay_reffrad
+      use aerosol_mod, only : iaero_back2lay
       USE tracer_h
       use comcstfi_mod, only: pi, mugaz, cpp
-      use callkeys_mod, only: varactive,diurnal,tracer,water,nosurf,varfixed,satval,        &
-                              kastprof,strictboundcorrk,specOLR,CLFvarying
+      use callkeys_mod, only: diurnal,tracer,nosurf,satval,        &
+                              strictboundcorrk,specOLR
 
       implicit none
@@ -62,6 +60,4 @@
       REAL,INTENT(IN) :: dist_star                 ! Distance star-planet (AU).
       REAL,INTENT(IN) :: muvar(ngrid,nlayer+1)
-      REAL,INTENT(IN) :: cloudfrac(ngrid,nlayer)   ! Fraction of clouds (%).
-      logical,intent(in) :: clearsky
       logical,intent(in) :: firstcall              ! Signals first call to physics.
       logical,intent(in) :: lastcall               ! Signals last call to physics.
@@ -80,11 +76,7 @@
       REAL,INTENT(OUT) :: OSR_nu(ngrid,L_NSPECTV)        ! Outgoing SW radition in each band (Normalized to the band width (W/m2/cm-1).
       REAL,INTENT(OUT) :: tau_col(ngrid)                 ! Diagnostic from aeropacity.
-      REAL,INTENT(OUT) :: albedo_equivalent(ngrid)       ! Spectrally Integrated Albedo. For Diagnostic. By MT2015
-      REAL,INTENT(OUT) :: totcloudfrac(ngrid)            ! Column Fraction of clouds (%).
+      REAL,INTENT(OUT) :: albedo_equivalent(ngrid)       ! Spectrally Integrated Albedo. For Diagnostic. By MT2015  
       
       
-      
-      
-
       ! Globally varying aerosol optical properties on GCM grid ; not needed everywhere so not in radcommon_h.   
       REAL :: QVISsQREF3d(ngrid,nlayer,L_NSPECTV,naerkind)
@@ -230,9 +222,4 @@
         
 
-         if((igcm_h2o_vap.eq.0) .and. varactive)then
-            print*,'varactive in callcorrk but no h2o_vap tracer.'
-            stop
-         endif
-
          OLR_nu(:,:) = 0.
          OSR_nu(:,:) = 0.
@@ -278,28 +265,5 @@
 
       do iaer=1,naerkind
-
-         if ((iaer.eq.iaero_co2).and.tracer.and.(igcm_co2_ice.gt.0)) then ! Treat condensed co2 particles.
-            call co2_reffrad(ngrid,nlayer,nq,pq,reffrad(1,1,iaero_co2))
-            print*,'Max. CO2 ice particle size = ',maxval(reffrad(1:ngrid,1:nlayer,iaer))/1.e-6,' um'
-            print*,'Min. CO2 ice particle size = ',minval(reffrad(1:ngrid,1:nlayer,iaer))/1.e-6,' um'
-         end if
-         
-         if ((iaer.eq.iaero_h2o).and.water) then ! Treat condensed water particles. To be generalized for other aerosols ...
-            call h2o_reffrad(ngrid,nlayer,pq(1,1,igcm_h2o_ice),pt, &
-                             reffrad(1,1,iaero_h2o),nueffrad(1,1,iaero_h2o))
-            print*,'Max. H2O cloud particle size = ',maxval(reffrad(1:ngrid,1:nlayer,iaer))/1.e-6,' um'
-            print*,'Min. H2O cloud particle size = ',minval(reffrad(1:ngrid,1:nlayer,iaer))/1.e-6,' um'
-         endif
-         
-         if(iaer.eq.iaero_dust)then
-            call dust_reffrad(ngrid,nlayer,reffrad(1,1,iaero_dust))
-            print*,'Dust particle size = ',reffrad(1,1,iaer)/1.e-6,' um'
-         endif
-         
-         if(iaer.eq.iaero_h2so4)then
-            call h2so4_reffrad(ngrid,nlayer,reffrad(1,1,iaero_h2so4))
-            print*,'H2SO4 particle size =',reffrad(1,1,iaer)/1.e-6,' um'
-         endif
-         
+     
           if(iaer.eq.iaero_back2lay)then
             call back2lay_reffrad(ngrid,reffrad(1,1,iaero_back2lay),nlayer,pplev)
@@ -323,5 +287,5 @@
       call aeropacity(ngrid,nlayer,nq,pplay,pplev,pq,aerosol,      &
            reffrad,QREFvis3d,QREFir3d,                             & 
-           tau_col,cloudfrac,totcloudfrac,clearsky)                
+           tau_col)                
           
 
@@ -506,128 +470,21 @@
 
 
-!-----------------------------------------------------------------------
-!     Water vapour (to be generalised for other gases eventually ...)
-!-----------------------------------------------------------------------
+     do k=1,L_LEVELS
+         qvar(k) = 1.0D-7
+     end do
+
+
+       ! IMPORTANT: Now convert from kg/kg to mol/mol.
+!       do k=1,L_LEVELS
+!          qvar(k) = qvar(k)/(epsi+qvar(k)*(1.-epsi))
+!       end do
+
+       DO l=1,nlayer
+          muvarrad(2*l)   = muvar(ig,nlayer+2-l)
+          muvarrad(2*l+1) = (muvar(ig,nlayer+2-l)+muvar(ig,max(nlayer+1-l,1)))/2
+       END DO
       
-      if(varactive)then
-
-         i_var=igcm_h2o_vap
-         do l=1,nlayer
-            qvar(2*l)   = pq(ig,nlayer+1-l,i_var)
-            qvar(2*l+1) = pq(ig,nlayer+1-l,i_var)    
-!JL13index            qvar(2*l+1) = (pq(ig,nlayer+1-l,i_var)+pq(ig,max(nlayer-l,1),i_var))/2    
-!JL13index            ! Average approximation as for temperature...
-         end do
-         qvar(1)=qvar(2)
-
-      elseif(varfixed)then
-
-         do l=1,nlayer ! Here we will assign fixed water vapour profiles globally.
-            RH = satval * ((pplay(ig,l)/pplev(ig,1) - 0.02) / 0.98)
-            if(RH.lt.0.0) RH=0.0
-            
-            ptemp=pplay(ig,l)
-            Ttemp=pt(ig,l)
-            call watersat(Ttemp,ptemp,qsat)
-
-            !pq_temp(l) = qsat      ! fully saturated everywhere
-            pq_temp(l) = RH * qsat ! ~realistic profile (e.g. 80% saturation at ground)
-         end do
-         
-         do l=1,nlayer
-            qvar(2*l)   = pq_temp(nlayer+1-l)
-            qvar(2*l+1) = (pq_temp(nlayer+1-l)+pq_temp(max(nlayer-l,1)))/2
-         end do
-         
-         qvar(1)=qvar(2)
-
-         ! Lowest layer of atmosphere
-         RH = satval * (1 - 0.02) / 0.98
-         if(RH.lt.0.0) RH=0.0
-
-!         ptemp = pplev(ig,1)
-!         Ttemp = tsurf(ig)
-!         call watersat(Ttemp,ptemp,qsat)
-
-         qvar(2*nlayer+1)= RH * qsat ! ~realistic profile (e.g. 80% saturation at ground)
- 
-      else
-         do k=1,L_LEVELS
-            qvar(k) = 1.0D-7
-         end do
-      end if ! varactive/varfixed
-
-      if(.not.kastprof)then
-         ! IMPORTANT: Now convert from kg/kg to mol/mol.
-         do k=1,L_LEVELS
-            qvar(k) = qvar(k)/(epsi+qvar(k)*(1.-epsi))
-         end do
-      end if
-
-!-----------------------------------------------------------------------
-!     kcm mode only !
-!-----------------------------------------------------------------------
-
-      if(kastprof)then
-
-         ! Initial values equivalent to mugaz.
-         DO l=1,nlayer
-            muvarrad(2*l)   = mugaz
-            muvarrad(2*l+1) = mugaz
-         END DO
-
-         if(ngasmx.gt.1)then
-
-            DO l=1,nlayer
-               muvarrad(2*l)   =  muvar(ig,nlayer+2-l)
-               muvarrad(2*l+1) = (muvar(ig,nlayer+2-l) + &
-                                  muvar(ig,max(nlayer+1-l,1)))/2
-            END DO
-      
-            muvarrad(1) = muvarrad(2)
-            muvarrad(2*nlayer+1) = muvar(ig,1)
-
-            print*,'Recalculating qvar with VARIABLE epsi for kastprof'
-            print*,'Assumes that the variable gas is H2O!!!'
-            print*,'Assumes that there is only one tracer'
-            
-            !i_var=igcm_h2o_vap
-            i_var=1
-            
-            if(nq.gt.1)then
-               print*,'Need 1 tracer only to run kcm1d.e' 
-               stop
-            endif
-            
-            do l=1,nlayer
-               vtmp(l)=pq(ig,l,i_var)/(epsi+pq(ig,l,i_var)*(1.-epsi)) 
-               !vtmp(l)=pq(ig,l,i_var)*muvar(ig,l+1)/mH2O !JL to be changed
-            end do
-
-            do l=1,nlayer
-               qvar(2*l)   = vtmp(nlayer+1-l)
-               qvar(2*l+1) = vtmp(nlayer+1-l)
-!               qvar(2*l+1) = ( vtmp(nlayer+1-l) + vtmp(max(nlayer-l,1)) )/2
-            end do
-            qvar(1)=qvar(2)
-
-            print*,'Warning: reducing qvar in callcorrk.'
-            print*,'Temperature profile no longer consistent ', &
-                   'with saturated H2O. qsat=',satval
-                   
-            do k=1,L_LEVELS
-               qvar(k) = qvar(k)*satval
-            end do
-
-         endif
-      else ! if kastprof
-         DO l=1,nlayer
-            muvarrad(2*l)   = muvar(ig,nlayer+2-l)
-            muvarrad(2*l+1) = (muvar(ig,nlayer+2-l)+muvar(ig,max(nlayer+1-l,1)))/2
-         END DO
-      
-         muvarrad(1) = muvarrad(2)
-         muvarrad(2*nlayer+1)=muvar(ig,1)         
-      endif ! if kastprof
+       muvarrad(1) = muvarrad(2)
+       muvarrad(2*nlayer+1)=muvar(ig,1)         
       
       ! Keep values inside limits for which we have radiative transfer coefficients !!!
@@ -949,5 +806,5 @@
 
       ! See physiq.F for explanations about CLFvarying. This is temporary.
-      if (lastcall .and. .not.CLFvarying) then
+      if (lastcall) then
         IF( ALLOCATED( gasi ) ) DEALLOCATE( gasi )
         IF( ALLOCATED( gasv ) ) DEALLOCATE( gasv )
Index: /trunk/LMDZ.TITAN/libf/phytitan/callkeys_mod.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/callkeys_mod.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/callkeys_mod.F90	(revision 1647)
@@ -4,12 +4,12 @@
       logical,save :: callrad,corrk,calldifv,UseTurbDiff
 !$OMP THREADPRIVATE(callrad,corrk,calldifv,UseTurbDiff)
-      logical,save :: calladj,co2cond,callsoil
-!$OMP THREADPRIVATE(calladj,co2cond,callsoil)
+      logical,save :: calladj,callsoil
+!$OMP THREADPRIVATE(calladj,callsoil)
       logical,save :: season,diurnal,tlocked,rings_shadow,lwrite
 !$OMP THREADPRIVATE(season,diurnal,tlocked,rings_shadow,lwrite)
       logical,save :: callstats,calleofdump
 !$OMP THREADPRIVATE(callstats,calleofdump)
-      logical,save :: callgasvis,continuum,H2Ocont_simple,graybody
-!$OMP THREADPRIVATE(callgasvis,continuum,H2Ocont_simple,graybody)
+      logical,save :: callgasvis,continuum,graybody
+!$OMP THREADPRIVATE(callgasvis,continuum,graybody)
       logical,save :: strictboundcorrk                                     
 !$OMP THREADPRIVATE(strictboundcorrk)
@@ -19,6 +19,5 @@
       logical,save :: meanOLR
       logical,save :: specOLR
-      logical,save :: kastprof
-!$OMP THREADPRIVATE(enertest,nonideal,meanOLR,kastprof)
+!$OMP THREADPRIVATE(enertest,nonideal,meanOLR)
       logical,save :: newtonian
       logical,save :: check_cpp_match
@@ -29,30 +28,14 @@
       logical,save :: stelbbody
       logical,save :: ozone
-      logical,save :: nearco2cond
       logical,save :: tracer
       logical,save :: mass_redistrib
-!$OMP THREADPRIVATE(stelbbody,ozone,nearco2cond,tracer,mass_redistrib)
-      logical,save :: varactive
-      logical,save :: varfixed
-      logical,save :: radfixed
+!$OMP THREADPRIVATE(stelbbody,ozone,tracer,mass_redistrib)
       logical,save :: sedimentation
-!$OMP THREADPRIVATE(varactive,varfixed,radfixed,sedimentation)
-      logical,save :: water,watercond,waterrain
-!$OMP THREADPRIVATE(water,watercond,waterrain)
-      logical,save :: aeroco2,aeroh2o,aeroh2so4,aeroback2lay
-!$OMP THREADPRIVATE(aeroco2,aeroh2o,aeroh2so4,aeroback2lay)
-      logical,save :: aerofixco2,aerofixh2o
-!$OMP THREADPRIVATE(aerofixco2,aerofixh2o)
-      logical,save :: hydrology
-      logical,save :: sourceevol
-      logical,save :: CLFvarying
+!$OMP THREADPRIVATE(sedimentation)
+      logical,save :: aeroback2lay
+!$OMP THREADPRIVATE(aeroback2lay)
       logical,save :: nosurf
       logical,save :: oblate
-!$OMP THREADPRIVATE(hydrology,sourceevol,CLFvarying,nosurf,oblate)
-      logical,save :: ok_slab_ocean
-      logical,save :: ok_slab_sic
-      logical,save :: ok_slab_heat_transp
-      logical,save :: albedo_spectral_mode
-!$OMP THREADPRIVATE(ok_slab_ocean,ok_slab_sic,ok_slab_heat_transp,albedo_spectral_mode)
+!$OMP THREADPRIVATE(nosurf,oblate)
 
       integer,save :: iddist
@@ -63,14 +46,11 @@
 
       real,save :: topdustref
-      real,save :: Nmix_co2
-      real,save :: dusttau
       real,save :: Fat1AU
       real,save :: stelTbb
-!$OMP THREADPRIVATE(topdustref,Nmix_co2,dusttau,Fat1AU,stelTbb)
-      real,save :: Tstrat
+!$OMP THREADPRIVATE(topdustref,Fat1AU,stelTbb)
       real,save :: tplanet
       real,save :: obs_tau_col_tropo
       real,save :: obs_tau_col_strato
-!$OMP THREADPRIVATE(Tstrat,tplanet,obs_tau_col_tropo,obs_tau_col_strato)
+!$OMP THREADPRIVATE(tplanet,obs_tau_col_tropo,obs_tau_col_strato)
       real,save :: pres_bottom_tropo
       real,save :: pres_top_tropo
@@ -81,19 +61,10 @@
       real,save :: size_strato
       real,save :: satval
-      real,save :: CLFfixval
-      real,save :: n2mixratio
-!$OMP THREADPRIVATE(size_tropo,size_strato,satval,CLFfixval,n2mixratio)
-      real,save :: co2supsat
+!$OMP THREADPRIVATE(size_tropo,size_strato,satval)
       real,save :: pceil
-      real,save :: albedosnow
-      real,save :: albedoco2ice
-      real,save :: maxicethick
-!$OMP THREADPRIVATE(co2supsat,pceil,albedosnow,albedoco2ice,maxicethick)
-      real,save :: Tsaldiff
+!$OMP THREADPRIVATE(pceil)
       real,save :: tau_relax
-      real,save :: cloudlvl
-      real,save :: icetstep
       real,save :: intheat
-!$OMP THREADPRIVATE(Tsaldiff,tau_relax,cloudlvl,icetstep,intheat)
+!$OMP THREADPRIVATE(tau_relax,intheat)
       real,save :: flatten
       real,save :: Rmean
